%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate sequoia-policy-config

Name:           rust-sequoia-policy-config
Version:        0.6.0
Release:    1%{?dist}
Summary:        Configure Sequoia using a configuration file

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-policy-config
Source0:         %{crates_source}
Patch:          sequoia-policy-config-fix-metadata-auto.diff
Patch:          sequoia-policy-config-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Configure Sequoia using a configuration file.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        LGPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND MIT AND Unicode-DFS-2016

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sequoia-policy-config-check

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f crypto-openssl

%build
%cargo_build -f crypto-openssl
%cargo_license_summary -f crypto-openssl
%{cargo_license -f crypto-openssl} > LICENSE.dependencies

%install
%cargo_install -f crypto-openssl

%if %{with check}
%check
%cargo_test -f crypto-openssl
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-1
- initial build
